import React, { Component } from 'react';
import { StyleSheet } from 'react-native';
import { Body, Button, Header, Left, Icon, Right, Title } from 'native-base';

import { Actions } from 'react-native-router-flux';

export default class CustomHeader extends Component {

    closeDrawer = () => { this.drawer._root.close() };
    openDrawer = () => { this.drawer._root.open() };
    cart() { Actions.cart() }

    render() {
        const { name } = this.props; 
        return (
            <Header androidStatusBarColor="#102027" style={styles.header}>
                <Left>
                    <Button transparent onPress={this.props.onPressMenu}>
                        <Icon type="Feather" name="menu" style={styles.icon}/>
                    </Button>
                </Left>
                <Body>
                    <Title style={styles.title}>{name}</Title>
                </Body>
                <Right>
                    <Button transparent onPress={this.cart}>
                        <Icon type="Feather" name='shopping-cart' style={styles.icon} />
                    </Button>
                </Right>
            </Header>   
        );
    }
}

const styles = StyleSheet.create({
    header: {
        backgroundColor: "#102027"
    },
    title: {
        color: '#fff'
    },
    icon: {
      color: "#fff",
      fontSize: 20
    }
});

