import React, { Component } from 'react';
import { FlatList, StyleSheet, View } from 'react-native';
import { Container, Content } from 'native-base';

import CartItems from './CartItems';

class OrderItems extends Component {  
  render() {
    const { cartItems } = this.props;
    return (
      <Container>
        <Content>
          <FlatList 
            data={cartItems}
            renderItem={({item, index}) => <CartItems item={item} index={index} />}
            keyExtractor={(item) => item.id}
            ItemSeparatorComponent= {()=> <View style={styles.seperator}/> }
          />
        </Content>
      </Container>
    );
  }
}

const styles = StyleSheet.create({
  seperator: {
    height:0.3,
    backgroundColor:'#102027'
  },
});

export default OrderItems;