import React, { Component } from 'react';
import { StyleSheet } from 'react-native';
import { Body, Left, List, ListItem, Text, Thumbnail } from 'native-base';

import I18n from "../i18n/i18n";

class OrderSummary extends Component {
    render() {
        const { item } = this.props;
        return (
            <List>
                <ListItem thumbnail>
                    <Left>
                        <Thumbnail square source={item.picture} style={{borderRadius: 30/2}} />
                    </Left>
                    <Body style={styles.body}>
                        <Text>{item.title}</Text>
                        <Text>{I18n.t('currency')}{(item.cost).toFixed(2)}</Text>
                    </Body>
                </ListItem>
            </List> 
        );
    }
}

const styles = StyleSheet.create({
    body: {
        borderBottomWidth: 0
    },
});

export default OrderSummary;