import React, { Component } from 'react'; 
import {Router, Stack, Scene} from 'react-native-router-flux';

import Login from '../screens/Login';
import Signup from '../screens/Signup';
import Home from '../screens/Home';
import Checkout from '../screens/Cart';
import Orders from '../screens/Orders';
import Profile from '../screens/Profile';

export default class Routes extends Component {
    render () {
        return(
            <Router>
                <Scene>
                    <Scene key="root" hideNavBar={true} initial={!this.props.isLoggedIn}>
                        <Scene key="login" component={Login} initial={true} />
                        <Scene key="signup" component={Signup} title="Register" />
                    </Scene>
                    <Scene key="app" hideNavBar={true} initial={this.props.isLoggedIn}>
                        <Scene key="home" component={Home} />
                        <Scene key="cart" component={Checkout} />
                        <Scene key="orders" component={Orders} />
                        <Scene key="profile" component={Profile} />
                    </Scene>
                </Scene>
            </Router>
        );
    }
}